property spriteNum, myStandardMemberEnglish, myRolloverMemberEnglish, myMouseDownMemberEnglish, myMessageTypeEnglish, myMessageEnglish, myXEnglish, myYEnglish
global gMaster

on mouseUp me
  if (gMaster.pLanguageMode = "english") or (gMaster.pLanguageMode = "spanish") then
    mDoThis(me)
  end if
end

on mouseDown me
  if gMaster.pLanguageMode = "english" then
    sprite(spriteNum).member = me.myMouseDownMemberEnglish
  end if
end

on mouseEnter me
  cursor(280)
  if gMaster.pLanguageMode = "english" then
    sprite(spriteNum).member = me.myRolloverMemberEnglish
  end if
end

on mouseLeave me
  cursor(-1)
  if gMaster.pLanguageMode = "english" then
    sprite(spriteNum).member = me.myStandardMemberEnglish
  end if
end

on beginSprite me
  if gMaster.pLanguageMode = "english" then
    sprite(spriteNum).member = me.myStandardMemberEnglish
    sprite(spriteNum).loc = point(myXEnglish, myYEnglish)
  end if
end

on mDoThis me
  case myMessageTypeEnglish of
    "no code":
      nothing()
    "do":
      do(myMessageEnglish)
    "sendAllSprites":
      sendAllSprites(symbol(myMessageEnglish))
  end case
end

on mSetUpGraphics me
  case gMaster.pLanguageMode of
    "english":
      mSetUpEnglishSingle()
    "spanish":
      sendAllSprites(#mSetUpSpanishSingle)
  end case
end

on mSetUpEnglishSingle me
  if gMaster.pLanguageMode = "spanish" then
    alert("language should be English")
  else
    sprite(spriteNum).loc = point(myXEnglish, myYEnglish)
    sprite(spriteNum).member = myStandardMemberEnglish
  end if
end

on mSetOnStage me
  if gMaster.pLanguageMode = "english" then
    vHorz = sprite(spriteNum).myXEnglish
    vVert = sprite(spriteNum).myYEnglish
    sprite(spriteNum).loc = point(vHorz, vVert)
  else
    vHorz = sprite(spriteNum).myXSpanish
    vVert = sprite(spriteNum).myYSpanish
    sprite(spriteNum).loc = point(vHorz, vVert)
  end if
end

on mSetOffStage me
  sprite(spriteNum).loc = point(2000, 2000)
end

on isOKToAttach me, aSpriteType, aSpriteNum
  tisok = 0
  if aSpriteType = #graphic then
    if PermittedMemberTypes().getOne(sprite(aSpriteNum).member.type) > 0 then
      tisok = 1
    end if
  end if
  return tisok
end

on PermittedMemberTypes me
  return [#bitmap]
end

on GetSuitableMembers me, permittedTypes
  cursor(4)
  suitableMembersList = []
  maxCastLib = the number of castLibs
  repeat with theCastLib = 1 to maxCastLib
    maxMember = the number of castMembers of castLib theCastLib
    repeat with memberNumber = 1 to maxMember
      theMember = member(memberNumber, theCastLib)
      if permittedTypes.getPos(theMember.type) then
        if theMember.name = EMPTY then
          suitableMembersList.append(theMember)
          next repeat
        end if
        suitableMembersList.append(theMember.name)
      end if
    end repeat
  end repeat
  cursor(-1)
  return suitableMembersList
end

on getPropertyDescriptionList me
  theMember = sprite(the currentSpriteNum).member
  memberType = theMember.type
  permittedTypes = PermittedMemberTypes(me)
  theMemberNum = theMember.number
  suitableMembersList = GetSuitableMembers(me, permittedTypes)
  descriptionList = [#myStandardMemberEnglish: [#comment: "ENGLISH - MouseUp member", #format: #member, #range: suitableMembersList, #default: theMember], #myRolloverMemberEnglish: [#comment: "Rollover member", #format: #member, #range: suitableMembersList, #default: member(theMember)], #myMouseDownMemberEnglish: [#comment: "MouseDown member", #format: #member, #range: suitableMembersList, #default: member(theMember)], #myMessageTypeEnglish: [#comment: "Action on mouseUp", #format: #string, #range: ["do", "sendAllSprites", "no code"], #default: "do"], #myMessageEnglish: [#comment: "Name of code handler", #format: #string, #default: "YourCustomMessage"], #myXEnglish: [#comment: "X location", #format: #integer, #default: 100, #range: [#min: 0, #max: 1024]], #myYEnglish: [#comment: "Y location", #format: #integer, #default: 100, #range: [#min: 0, #max: 768]]]
  return descriptionList
end
