property spriteNum, myStandardMemberEnglish, myRolloverMemberEnglish, myMouseDownMemberEnglish, myStandardMemberEnglish2, myRolloverMemberEnglish2, myMouseDownMemberEnglish2, myMessageTypeEnglish, myMessageEnglish, myMessageTypeEnglish2, myMessageEnglish2, pState, myXEnglish, myYEnglish
global gMaster, gNotes

on beginSprite me
  pState = "state1"
  if gMaster.pLanguageMode = "english" then
    case myMessageTypeEnglish2 of
      "no code":
        nothing()
      "do":
        do(myMessageEnglish2)
      "sendAllSprites":
        sendAllSprites(symbol(myMessageEnglish2))
    end case
  else
    case myMessageTypeEnglish2 of
      "no code":
        nothing()
      "do":
        do(myMessageEnglish2)
      "sendAllSprites":
        sendAllSprites(symbol(myMessageEnglish2))
    end case
  end if
end

on mouseUp me
  if gMaster.pLanguageMode = "english" then
    case pState of
      "state1":
        sendSprite(spriteNum, #mDoThisDoubleEnglish)
      "state2":
        sendSprite(spriteNum, #mDoThisDoubleEnglish)
    end case
  else
    case pState of
      "state1":
        sendSprite(spriteNum, #mDoThisDoubleEnglish)
      "state2":
        sendSprite(spriteNum, #mDoThisDoubleEnglish)
    end case
  end if
end

on mouseDown me
  if gMaster.pLanguageMode = "english" then
    case pState of
      "state1":
        sprite(spriteNum).member = sprite(spriteNum).myMouseDownMemberEnglish
      "state2":
        sprite(spriteNum).member = sprite(spriteNum).myMouseDownMemberEnglish2
    end case
  else
    case pState of
      "state1":
        sprite(spriteNum).member = sprite(spriteNum).myMouseDownMemberSpanish
      "state2":
        sprite(spriteNum).member = sprite(spriteNum).myMouseDownMemberSpanish2
    end case
  end if
end

on mouseEnter me
  cursor(280)
  if gMaster.pLanguageMode = "english" then
    case pState of
      "state1":
        sprite(spriteNum).member = sprite(spriteNum).myRolloverMemberEnglish
      "state2":
        sprite(spriteNum).member = sprite(spriteNum).myRolloverMemberEnglish2
    end case
  else
    case pState of
      "state1":
        sprite(spriteNum).member = sprite(spriteNum).myRolloverMemberSpanish
      "state2":
        sprite(spriteNum).member = sprite(spriteNum).myRolloverMemberSpanish2
    end case
  end if
end

on mouseLeave me
  cursor(-1)
  if gMaster.pLanguageMode = "english" then
    case pState of
      "state1":
        sprite(spriteNum).member = sprite(spriteNum).myStandardMemberEnglish
      "state2":
        sprite(spriteNum).member = sprite(spriteNum).myStandardMemberEnglish2
    end case
  else
    case pState of
      "state1":
        sprite(spriteNum).member = sprite(spriteNum).myStandardMemberSpanish
      "state2":
        sprite(spriteNum).member = sprite(spriteNum).myStandardMemberSpanish2
    end case
  end if
end

on mDoThisDoubleEnglish me
  case myMessageTypeEnglish of
    "no code":
      nothing()
    "do":
      do(myMessageEnglish)
    "sendAllSprites":
      sendAllSprites(symbol(myMessageEnglish))
  end case
end

on mSetUpGraphicsDouble me, vMode, vSpecial
  case gMaster.pLanguageMode of
    "english":
      mSetUpEnglishDouble(me, vMode, vSpecial)
    "spanish":
      sendSprite(spriteNum, #mSetUpSpanishDouble, vMode, vSpecial)
  end case
end

on mSetUpEnglishDouble me, vMode, vSpecial
  if gMaster.pLanguageMode = "spanish" then
    alert("language should be English")
  else
    case vMode of
      "production":
        if gNotes.pProductionSelected = "yes" then
          mSetDoubleStateEnglish(me, 2)
        else
          mSetDoubleStateEnglish(me, 1)
        end if
      "credits":
        if gNotes.pCreditsSelected = "yes" then
          mSetDoubleStateEnglish(me, 2)
        else
          mSetDoubleStateEnglish(me, 1)
        end if
      "slideshow":
        if gMaster.pPhotoList[gMaster.pCount].pSelected = "yes" then
          mSetDoubleStateEnglish(me, 2)
        else
          mSetDoubleStateEnglish(me, 1)
        end if
      "poster":
        if gMaster.pPosterList[vSpecial].pSelected = "yes" then
          mSetDoubleStateEnglish(me, 2)
        else
          mSetDoubleStateEnglish(me, 1)
        end if
      "logo":
        if gMaster.pLogoList[vSpecial].pSelected = "yes" then
          mSetDoubleStateEnglish(me, 2)
        else
          mSetDoubleStateEnglish(me, 1)
        end if
    end case
    sprite(spriteNum).loc = point(myXEnglish, myYEnglish)
  end if
end

on mSetDoubleStateEnglish me, vWhichOne
  case vWhichOne of
    1:
      pState = "state1"
      if gMaster.pLanguageMode = "english" then
        sendSprite(spriteNum, #mState1GraphicEnglish)
      else
        sendSprite(spriteNum, #mState1GraphicSpanish)
      end if
    2:
      pState = "state2"
      if gMaster.pLanguageMode = "english" then
        sendSprite(spriteNum, #mState2GraphicEnglish)
      else
        sendSprite(spriteNum, #mState2GraphicEnglish)
      end if
  end case
end

on mState1GraphicEnglish me
  pState = "state1"
  sprite(spriteNum).member = myStandardMemberEnglish
end

on mState2GraphicEnglish me
  pState = "state2"
  sprite(spriteNum).member = myStandardMemberEnglish2
end

on isOKToAttach me, aSpriteType, aSpriteNum
  tisok = 0
  if aSpriteType = #graphic then
    if PermittedMemberTypes().getOne(sprite(aSpriteNum).member.type) > 0 then
      tisok = 1
    end if
  end if
  return tisok
end

on PermittedMemberTypes me
  return [#bitmap]
end

on GetSuitableMembers me, permittedTypes
  cursor(4)
  suitableMembersList = []
  maxCastLib = the number of castLibs
  repeat with theCastLib = 1 to maxCastLib
    maxMember = the number of castMembers of castLib theCastLib
    repeat with memberNumber = 1 to maxMember
      theMember = member(memberNumber, theCastLib)
      if permittedTypes.getPos(theMember.type) then
        if theMember.name = EMPTY then
          suitableMembersList.append(theMember)
          next repeat
        end if
        suitableMembersList.append(theMember.name)
      end if
    end repeat
  end repeat
  cursor(-1)
  return suitableMembersList
end

on getPropertyDescriptionList me
  theMember = sprite(the currentSpriteNum).member
  memberType = theMember.type
  permittedTypes = PermittedMemberTypes(me)
  theMemberNum = theMember.number
  suitableMembersList = GetSuitableMembers(me, permittedTypes)
  descriptionList = [#myStandardMemberEnglish: [#comment: "- EnglishState1 - MouseUp member", #format: #member, #range: suitableMembersList, #default: theMember], #myRolloverMemberEnglish: [#comment: "EnglishState1 - Rollover member", #format: #member, #range: suitableMembersList, #default: member(theMember)], #myMouseDownMemberEnglish: [#comment: "EnglishState1 - MouseDown member", #format: #member, #range: suitableMembersList, #default: member(theMember)], #myStandardMemberEnglish2: [#comment: "EnglishState2 - MouseUp member", #format: #member, #range: suitableMembersList, #default: theMember], #myRolloverMemberEnglish2: [#comment: "EnglishState2 - Rollover member", #format: #member, #range: suitableMembersList, #default: member(theMember)], #myMouseDownMemberEnglish2: [#comment: "EnglishState2 - MouseDown member", #format: #member, #range: suitableMembersList, #default: member(theMember)], #myMessageTypeEnglish2: [#comment: "Code on beginSprite", #format: #string, #range: ["do", "sendAllSprites", "no code"], #default: "do"], #myMessageEnglish2: [#comment: "Name of beginSprite handler", #format: #string, #default: "YourCustomMessage"], #myMessageTypeEnglish: [#comment: "Code for MouseUp", #format: #string, #range: ["do", "sendAllSprites", "no code"], #default: "do"], #myMessageEnglish: [#comment: "Name of mouseUp handler", #format: #string, #default: "YourCustomMessage"], #myXEnglish: [#comment: "X location", #format: #integer, #default: 100, #range: [#min: 0, #max: 1024]], #myYEnglish: [#comment: "Y location", #format: #integer, #default: 100, #range: [#min: 0, #max: 768]]]
  return descriptionList
end
