property spriteNum, myStandardMemberSpanish, myRolloverMemberSpanish, myMouseDownMemberSpanish, myStandardMemberSpanish2, myRolloverMemberSpanish2, myMouseDownMemberSpanish2, myMessageTypeSpanish, myMessageSpanish, myMessageTypeSpanish2, myMessageSpanish2, myXSpanish, myYSpanish
global gMaster, gNotes

on mDoThis me
  case myMessageTypeSpanish of
    "no code":
      nothing()
    "do":
      if gMaster.pLanguageMode = "spanish" then
        do(myMessageSpanish)
      end if
    "sendAllSprites":
      if gMaster.pLanguageMode = "spanish" then
        sendAllSprites(symbol(myMessageSpanish))
      end if
  end case
end

on mSetUpSpanishDouble me, vMode, vSpecial
  if gMaster.pLanguageMode = "english" then
    alert("language should be Spanish")
  else
    case vMode of
      "production":
        if gNotes.pProductionSelected = "yes" then
          sprite(spriteNum).mSetDoubleStateSpanish(2)
        else
          sprite(spriteNum).mSetDoubleStateSpanish(1)
        end if
      "credits":
        if gNotes.pCreditsSelected = "yes" then
          mSetDoubleStateSpanish(me, 2)
        else
          mSetDoubleStateSpanish(me, 1)
        end if
      "slideshow":
        if gMaster.pPhotoList[gMaster.pCount].pSelected = "yes" then
          mSetDoubleStateSpanish(me, 2)
        else
          mSetDoubleStateSpanish(me, 1)
        end if
      "poster":
        if gMaster.pPosterList[vSpecial].pSelected = "yes" then
          mSetDoubleStateSpanish(me, 2)
        else
          mSetDoubleStateSpanish(me, 1)
        end if
      "logo":
        if gMaster.pLogoList[vSpecial].pSelected = "yes" then
          mSetDoubleStateSpanish(me, 2)
        else
          mSetDoubleStateSpanish(me, 1)
        end if
    end case
    sprite(spriteNum).loc = point(myXSpanish, myYSpanish)
  end if
end

on mSetDoubleStateSpanish me, vWhichOne
  case vWhichOne of
    1:
      sprite(spriteNum).pState = "state1"
      sprite(spriteNum).mState1GraphicSpanish(me)
    2:
      sprite(spriteNum).pState = "state2"
      sprite(spriteNum).mState2GraphicSpanish(me)
  end case
end

on mState1GraphicSpanish me
  sprite(spriteNum).pState = "state1"
  sprite(spriteNum).member = sprite(spriteNum).myStandardMemberSpanish
end

on mState2GraphicSpanish me
  sprite(spriteNum).pState = "state2"
  sprite(spriteNum).member = sprite(spriteNum).myStandardMemberSpanish2
end

on isOKToAttach me, aSpriteType, aSpriteNum
  tisok = 0
  if aSpriteType = #graphic then
    if PermittedMemberTypes().getOne(sprite(aSpriteNum).member.type) > 0 then
      tisok = 1
    end if
  end if
  return tisok
end

on PermittedMemberTypes me
  return [#bitmap]
end

on GetSuitableMembers me, permittedTypes
  cursor(4)
  suitableMembersList = []
  maxCastLib = the number of castLibs
  repeat with theCastLib = 1 to maxCastLib
    maxMember = the number of castMembers of castLib theCastLib
    repeat with memberNumber = 1 to maxMember
      theMember = member(memberNumber, theCastLib)
      if permittedTypes.getPos(theMember.type) then
        if theMember.name = EMPTY then
          suitableMembersList.append(theMember)
          next repeat
        end if
        suitableMembersList.append(theMember.name)
      end if
    end repeat
  end repeat
  cursor(-1)
  return suitableMembersList
end

on getPropertyDescriptionList me
  theMember = sprite(the currentSpriteNum).member
  memberType = theMember.type
  permittedTypes = PermittedMemberTypes(me)
  theMemberNum = theMember.number
  suitableMembersList = GetSuitableMembers(me, permittedTypes)
  descriptionList = [#myStandardMemberSpanish: [#comment: "- SpanishState1 - MouseUp member", #format: #member, #range: suitableMembersList, #default: theMember], #myRolloverMemberSpanish: [#comment: "SpanishState1 - Rollover member", #format: #member, #range: suitableMembersList, #default: member(theMember)], #myMouseDownMemberSpanish: [#comment: "SpanishState1 - MouseDown member", #format: #member, #range: suitableMembersList, #default: member(theMember)], #myStandardMemberSpanish2: [#comment: "SpanishState2 - MouseUp member", #format: #member, #range: suitableMembersList, #default: theMember], #myRolloverMemberSpanish2: [#comment: "SpanishState2 - Rollover member", #format: #member, #range: suitableMembersList, #default: member(theMember)], #myMouseDownMemberSpanish2: [#comment: "SpanishState2 - MouseDown member", #format: #member, #range: suitableMembersList, #default: member(theMember)], #myXSpanish: [#comment: "X location", #format: #integer, #default: 100, #range: [#min: 0, #max: 1024]], #myYSpanish: [#comment: "Y location", #format: #integer, #default: 100, #range: [#min: 0, #max: 768]]]
  return descriptionList
end
