property spriteNum, myStandardMemberSpanish, myRolloverMemberSpanish, myMouseDownMemberSpanish, myMessageTypeSpanish, myMessageSpanish, myXSpanish, myYSpanish
global gMaster

on mouseDown me
  if gMaster.pLanguageMode = "spanish" then
    sprite(spriteNum).member = me.myMouseDownMemberSpanish
  end if
end

on mouseEnter me
  cursor(280)
  if gMaster.pLanguageMode = "spanish" then
    sprite(spriteNum).member = me.myRolloverMemberSpanish
  end if
end

on beginSprite me
  if gMaster.pLanguageMode = "spanish" then
    sprite(spriteNum).member = me.myStandardMemberSpanish
    sprite(spriteNum).loc = point(myXSpanish, myYSpanish)
  end if
end

on mouseLeave me
  cursor(-1)
  if gMaster.pLanguageMode = "spanish" then
    sprite(spriteNum).member = me.myStandardMemberSpanish
  end if
end

on mSetUpSpanishSingle me
  if gMaster.pLanguageMode = "English" then
    alert("language should be Spanish")
  else
    sprite(spriteNum).loc = point(myXSpanish, myYSpanish)
    sprite(spriteNum).member = myStandardMemberSpanish
  end if
end

on isOKToAttach me, aSpriteType, aSpriteNum
  tisok = 0
  if aSpriteType = #graphic then
    if PermittedMemberTypes().getOne(sprite(aSpriteNum).member.type) > 0 then
      tisok = 1
    end if
  end if
  return tisok
end

on PermittedMemberTypes me
  return [#bitmap]
end

on GetSuitableMembers me, permittedTypes
  cursor(4)
  suitableMembersList = []
  maxCastLib = the number of castLibs
  repeat with theCastLib = 1 to maxCastLib
    maxMember = the number of castMembers of castLib theCastLib
    repeat with memberNumber = 1 to maxMember
      theMember = member(memberNumber, theCastLib)
      if permittedTypes.getPos(theMember.type) then
        if theMember.name = EMPTY then
          suitableMembersList.append(theMember)
          next repeat
        end if
        suitableMembersList.append(theMember.name)
      end if
    end repeat
  end repeat
  cursor(-1)
  return suitableMembersList
end

on getPropertyDescriptionList me
  theMember = sprite(the currentSpriteNum).member
  memberType = theMember.type
  permittedTypes = PermittedMemberTypes(me)
  theMemberNum = theMember.number
  suitableMembersList = GetSuitableMembers(me, permittedTypes)
  descriptionList = [#myStandardMemberSpanish: [#comment: "Spanish - MouseUp member", #format: #member, #range: suitableMembersList, #default: theMember], #myRolloverMemberSpanish: [#comment: "Rollover member", #format: #member, #range: suitableMembersList, #default: member(theMember)], #myMouseDownMemberSpanish: [#comment: "MouseDown member", #format: #member, #range: suitableMembersList, #default: member(theMember)], #myXSpanish: [#comment: "X location", #format: #integer, #default: 100, #range: [#min: 0, #max: 1024]], #myYSpanish: [#comment: "Y location", #format: #integer, #default: 100, #range: [#min: 0, #max: 768]]]
  return descriptionList
end
